package test.servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/receiverequestdata")
public class ReceiveRequestData extends HttpServlet {

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		//受信するデータの文字コードを設定する
		req.setCharacterEncoding("utf-8");
		
		//送信されたデータを取得する
		String text = req.getParameter("text");
		
		//リクエストオブジェクトにデータをセットする
		req.setAttribute("Data", text);
		
		//サーブレットコンテキストを取得する
		ServletContext sc = this.getServletContext();
		
		//リクエストディスパッチャーオブジェクトを取得する
		RequestDispatcher rd = sc.getRequestDispatcher("/ResultRequestData.jsp");
		
		//違うページに転送する
		rd.forward(req, resp);
	}

}
